Bug 12024 - Add to list opens the list adding UI in two windows
Summary: Add to list opens the list adding UI in two windows
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: paxed
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-04-02 11:32 UTC by paxed
Modified: 2015-06-04 23:30 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Fix Add To List in item details (1.81 KB, patch)
2014-04-02 11:32 UTC, paxed
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12024 - Add to list opens the list adding UI in two windows (2.08 KB, patch)
2014-04-06 04:38 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 12024 - Add to list opens the list adding UI in two windows (2.23 KB, patch)
2014-04-06 20:42 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description paxed 2014-04-02 11:32:22 UTC Comment hidden (obsolete)
Comment 1 Christopher Brannon 2014-04-04 22:24:08 UTC
I am not seeing this problem in the 3.15 master in sandboxes or in 3.12.10.  Can you tell us what browser and Koha version you are using?

Christopher
Comment 2 Bernardo Gonzalez Kriegel 2014-04-06 04:38:39 UTC Comment hidden (obsolete)
Comment 3 Bernardo Gonzalez Kriegel 2014-04-06 04:44:46 UTC
Well, for me the problem occurs on Chrome/Opera, not Fireforx (Win)
Comment 4 Katrin Fischer 2014-04-06 20:42:40 UTC
Created attachment 26845 [details] [review]
[PASSED QA] Bug 12024 - Add to list opens the list adding UI in two windows

In Item details, when using the menu toolbar for Add To > List,
the list adding UI opens in a popup window, and also in the original
window. The original window should stay showing the item details page.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Works fixing problem. No koha-qa errors.

Test:
1. On staff, go to detail of some biblio,
click add to List, described behavior

2. With patch applied, origina windows stay on item detail

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Confirmed problem in Chromium/Ubuntu.
Patch passes all tests and QA script, works as described.
Comment 5 Galen Charlton 2014-04-07 15:47:33 UTC
Pushed to master.  Thanks, Pasi!

This appears to be the first patch of yours that has been accepted into Koha master.  Congratulations!
Comment 6 Fridolin SOMERS 2014-06-19 14:53:53 UTC
Pushed to 3.14.x, will be in 3.14.08